com.lowagie.text.pdf

## Class MultiColumnText.ColumnDef

- java.lang.Object
- - com.lowagie.text.pdf.MultiColumnText.ColumnDef

Enclosing class:
  MultiColumnText

    private class MultiColumnText.ColumnDef
    extends java.lang.Object

Inner class used to define a column

### Field Summary

Fields
`private float[]` `left`
`private float[]` `right`

### Constructor Summary

Constructors
Constructor and Description
`MultiColumnText.ColumnDef(float[] newLeft, float[] newRight)`
`MultiColumnText.ColumnDef(float leftPosition, float rightPosition)`

### Method Summary

Methods
`private boolean` `isSimple()` Checks if column definition is a simple rectangle
`private float[]` `resolvePositions(float[] positions)`
`(package private) float[]` `resolvePositions(int side)` Resolves the positions for the specified side of the column into real numbers once the top of the column is known.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### left

    private float[] left

#### right

    private float[] right

### Constructor Detail

#### MultiColumnText.ColumnDef

    MultiColumnText.ColumnDef(float[] newLeft,
                             float[] newRight)

#### MultiColumnText.ColumnDef

    MultiColumnText.ColumnDef(float leftPosition,
                             float rightPosition)

### Method Detail

#### resolvePositions

    float[] resolvePositions(int side)

Resolves the positions for the specified side of the column into real numbers once the top of the column is known.

Parameters:
  `side` - either `Rectangle.LEFT` or `Rectangle.RIGHT`
Returns:
  the array of floats for the side

#### resolvePositions

    private float[] resolvePositions(float[] positions)

#### isSimple

    private boolean isSimple()

Checks if column definition is a simple rectangle

Returns:
  true if it is a simple column